Attach a skill to an artifact
POST
/v1/artifacts/{id}/skills
const url = 'https://shareout.site/v1/artifacts/example/skills';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"skill_artifact_id":"example","position":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/artifacts/example/skills \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "skill_artifact_id": "example", "position": 1 }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Artifact ID (e.g. art_abc123).
Request Body required
Section titled “Request Body required ” Media type application/json
object
skill_artifact_id
string
position
integer
Example generated
{ "skill_artifact_id": "example", "position": 1}Responses
Section titled “ Responses ”Attached